Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Gimp keeps crashing when I try to use the fonts from text tool.

(gimp:3877): Pango-WARNING **:

(gimp:3877): Pango-WARNING **: failed to create cairo scaled font, expect ugly    output.  the offending font is 'rsfs10 Italic 16'

(gimp:3877): Pango-WARNING **: font_face status is: <unknown error status>

(gimp:3877): Pango-WARNING **: scaled_font status is: out of memory

(script-fu:3883): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error
Segmentation fault (core dumped)
share|improve this question

closed as off topic by Uri Herrera, Florian Diesch, hhlp, Eliah Kagan, Chris Wilson Feb 25 '13 at 11:57

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

    
This looks similar, forums.freebsd.org/archive/index.php/t-19099.html not sure if it will help any. –  Mateo Nov 23 '12 at 20:25
    
Did you check out: useranswer.com/answer/gimp3877-pango-warning –  saji89 Feb 25 '13 at 9:44
    
Questions reporting bugs are considered off-topic for our site (see the FAQ). This should be reported as a bug. You can make Apport collect and submit the necessary technical information--but still make sure to read the bug reporting documentation first, and describe the problem thoroughly in the bug report you write in the web browser (which will come up automatically after Apport sends the data). –  Eliah Kagan Feb 25 '13 at 11:36

2 Answers 2

Problem is with your ~/.fonts directory. Check rsfs10 font is installed or not. If installed check whether it is properly installed. Its better to delete the font and reinstall.

To install rsfs10 font, Open terminal and type the command

sudo apt-get install ttf-lyx

More information about the package.

share|improve this answer
    
ttf-lyx wasn't installed so I installed it but Gimp still crashes with the same error message. –  Srinivas Gowda Nov 12 '12 at 12:45

gimp-2.8.4 was crashing in a very similar way for me, specifically when I attempted to use the text tool. I resolved my issue by changing the permissions on all of my font files, using something similar to the following.

sudo find /usr/share/fonts -type f -name "*.[o,t]tf" -exec chmod 775 '{}' \;

Note: Be sure to run the command for all directories listed in Edit->Preferences->Folders->Fonts.

Hope it helps!

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.